#
# spec file for package autoconf261 (Version 2.61)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           autoconf261
BuildRequires:  help2man
License:        GPLv2+
Group:          Development/Tools/Building
Url:            http://www.gnu.org/software/autoconf
AutoReqProv:    on
Requires:       m4 >= %(rpm -q --qf=%%{VERSION} m4)
PreReq:         %{install_info_prereq}
Version:        2.61
Release:        1.2
Summary:        A GNU Tool for Automatically Configuring Source Code
Source:         autoconf-%{version}.tar.bz2
Patch:          autoreconf-ltdl.diff
Patch1:         ac-proc-sed.diff
Patch2:         ac-func-mktime.diff
Patch3:         tests.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
GNU Autoconf is a tool for configuring source code and makefiles. Using
autoconf, programmers can create portable and configurable packages,
because the person building the package is allowed to specify various
configuration options.

You should install autoconf if you are developing software and would
like to create shell scripts to configure your source code packages.

Note that the autoconf package is not required for the end user who may
be configuring software with an autoconf-generated script; autoconf is
only required for the generation of the scripts, not their use.

%prep
%setup -q -n autoconf-%{version}
%patch
%patch1
%patch2 -p1
%patch3 -p1

%build
%{suse_update_config -f config}
./configure --prefix=%{_prefix} --infodir=%{_infodir} --mandir=%{_mandir} --program-suffix=-2.61 --datadir=%_prefix/share/autoconf-2.61
make

%install
make install DESTDIR=$RPM_BUILD_ROOT
rm -f $RPM_BUILD_ROOT%{_prefix}/share/emacs/site-lisp/*.el*
# do not confuse info
rm -rf $RPM_BUILD_ROOT%{_infodir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING NEWS README TODO
%{_prefix}/bin/*
%{_prefix}/share/autoconf-2.61
%doc %{_mandir}/man1/*.gz

%changelog
* Mon Mar  1 2010 coolo@novell.com
- clone of old autoconf 2.61 package
